| GL Studio C++ Runtime API

Public Member Functions | Public Attributes | List of all members
GlsFontBase::CharAttr_t Struct Reference

Character attributes. One item for each character in the set. More...

`#include <gls_font_base.h>`

Inheritance diagram for GlsFontBase::CharAttr_t:

## Public Member Functions
| CharAttr_t ()
| Default constructor to initialize character attribute data to known values.
| CharAttr_t (GLfloat w, GLfloat h, GLfloat vTexX1, GLfloat vTexX2, GLfloat fTexX1, GLfloat fTexX2, GLfloat vTexY1, GLfloat vTexY2, GLfloat fTexY1, GLfloat fTexY2, GLfloat horiBearingX_, GLfloat horiBearingY_, GLfloat horiAdvance_, GLfloat vertBearingX_, GLfloat vertBearingY_, GLfloat vertAdvance_)

## Public Attributes
GLfloat | width
| Character width in pixels/points.
GLfloat | height
| Character height in pixels/points.
GLfloat | varTexX1
| Left most x position in the texture for variable width font spacing. (in texture coordinates).
GLfloat | varTexX2
| Right most x position in the texture for variable width font spacing. (in texture coordinates).
GLfloat | fixedTexX1
| Left most x position in the texture for fixed width font spacing. (in texture coordinates).
GLfloat | fixedTexX2
| Right most x position in the texture for fixed width font spacing. (in texture coordinates).
GLfloat | varTexY1
| Lowest y position in the texture for variable height font spacing. (in texture coordinates).
GLfloat | varTexY2
| Upper most y position in the texture for variable height font spacing. (in texture coordinates).
GLfloat | fixedTexY1
| Lowest y position in the texture for fixed height font spacing. (in texture coordinates).
GLfloat | fixedTexY2
| Upper most y position in the texture for fixed height font spacing. (in texture coordinates).
GLfloat | horiBearingX
| Distance from pen position to the left edge of the character (varTexX1) for horizontal strings.
GLfloat | horiBearingY
| Distance from pen position (ie the baseline) to the top edge of the character (varTexY2) for horizontal strings.
GLfloat | horiAdvance
| Distance to advance the pen position after drawing this character for horizontal strings.
GLfloat | vertBearingX
| Distance from pen position (ie the center line) to the left edge of the character (varTexX1) for vertical strings.
GLfloat | vertBearingY
| Distance from pen position to the top edge of the character (varTexY2) for vertical strings.
GLfloat | vertAdvance
| Distance to advance the pen position after drawing this character for vertical strings.

## Detailed Description

Character attributes. One item for each character in the set.

## Constructor & Destructor Documentation

## ◆ CharAttr_t()

CharAttr_t | ( | GLfloat | w,
|  | GLfloat | h,
|  | GLfloat | vTexX1,
|  | GLfloat | vTexX2,
|  | GLfloat | fTexX1,
|  | GLfloat | fTexX2,
|  | GLfloat | vTexY1,
|  | GLfloat | vTexY2,
|  | GLfloat | fTexY1,
|  | GLfloat | fTexY2,
|  | GLfloat | horiBearingX_,
|  | GLfloat | horiBearingY_,
|  | GLfloat | horiAdvance_,
|  | GLfloat | vertBearingX_,
|  | GLfloat | vertBearingY_,
|  | GLfloat | vertAdvance_
| ) |  |
| inline

Constructor

Parameters

  w | Character width in pixels/points.
  h | Character height in pixels/points.
  vTexX1 | Left most x position in the texture for variable width font spacing. (in texture coordinates)
  vTexX2 | Right most x position in the texture for variable width font spacing. (in texture coordinates)
  fTexX1 | Left most x position in the texture for fixed width font spacing. (in texture coordinates)
  fTexX2 | Right most x position in the texture for fixed width font spacing. (in texture coordinates)
  vTexY1 | Lowest y position in the texture for variable height font spacing. (in texture coordinates)
  vTexY2 | Upper most y position in the texture for variable height font spacing. (in texture coordinates)
  fTexY1 | Lowest y position in the texture for fixed height font spacing. (in texture coordinates)
  fTexY2 | Upper most y position in the texture for fixed height font spacing. (in texture coordinates)
  horiBearingX_ | Distance from pen position to the left edge of the character (varTexX1) for horizontal strings.
  horiBearingY_ | Distance from pen position (ie the baseline) to the top edge of the character (varTexY2) for horizontal strings.
  horiAdvance_ | Distance to advance the pen position after drawing this character for horizontal strings.
  vertBearingX_ | Distance from pen position (ie the center line) to the left edge of the character (varTexX1) for vertical strings.
  vertBearingY_ | Distance from pen position to the top edge of the character (varTexY2) for vertical strings.
  vertAdvance_ | Distance to advance the pen position after drawing this character for vertical strings.

The documentation for this struct was generated from the following file:

- gls_font_base.h